<nav aria-label="breadcrumb" class="use-highlights" {{did-insert this.setup}} {{did-update this.setup @value @model}}>
  <ol class="breadcrumb">
    <View::GenericList @isEditor={{@isEditor}} data-path={{concat @path ".data.items"}} data-name={{@value.name}} data-gid={{@value.gid}}
      @value={{this.pagesWithDestinations}} as |pair index|>
      <li class="breadcrumb-item breadcrumb-item-link">
        <TextWithOptions @tag="a" @to={{pair.destination}} @deviceSize={{@deviceSize}} @options={{@value.data.links}}
          @isEditor={{@isEditor}} {{editor-props @value basePath=@path property="links"}}>{{!--
          --}}{{pair.title}}{{!--
        --}}</TextWithOptions>

        {{#if @isEditor}}
          <Link
            @space={{@space}}
            @to={{pair.destination}}
            @isEditor={{@isEditor}}
            class="d-none"
            data-editor="link"
            data-type="link"

            {{editor-props @value basePath=@path property=(concat "items." index)}}
          >hidden link</Link>
        {{/if}}
      </li>
    </View::GenericList>

    {{#if this.currentPageName}}
      <li class="breadcrumb-item active" aria-current="page">
        <TextWithOptions @tag="span" @deviceSize={{@deviceSize}} @options={{@value.data.currentPage}}
          @isEditor={{@isEditor}} {{editor-props @value basePath=@path property="currentPage"}}>{{!--
          --}}{{this.currentPageName}}{{!--
        --}}</TextWithOptions>
      </li>
    {{/if}}
  </ol>
</nav>